summarylogtreecommitdiffstats
path: root/arch-reqs.patch
diff options
context:
space:
mode:
Diffstat (limited to 'arch-reqs.patch')
-rw-r--r--arch-reqs.patch26
1 files changed, 13 insertions, 13 deletions
diff --git a/arch-reqs.patch b/arch-reqs.patch
index cb1b9f07b28..bfbc12eca4e 100644
--- a/arch-reqs.patch
+++ b/arch-reqs.patch
@@ -1,30 +1,27 @@
-Only in conan-1.22.1-new: arch-reqs.patch
-diff -aur conan-1.22.1-pristine/conans/requirements_server.txt conan-1.22.1-new/conans/requirements_server.txt
---- conan-1.22.1-pristine/conans/requirements_server.txt 2020-02-12 10:47:53.046679121 +0100
-+++ conan-1.22.1-new/conans/requirements_server.txt 2020-02-12 10:50:09.146941954 +0100
+diff -aur conan-1.28.0-pristine/conans/requirements_server.txt conan-1.28.0-new/conans/requirements_server.txt
+--- conan-1.28.0-pristine/conans/requirements_server.txt 2020-07-30 11:30:59.000000000 +0200
++++ conan-1.28.0-new/conans/requirements_server.txt 2020-08-03 20:20:41.573333330 +0200
@@ -1,3 +1,3 @@
# Server
-bottle>=0.12.8, < 0.13
--pluginbase>=0.5, < 1.0
-\ No newline at end of file
+bottle>=0.12.8
-+pluginbase>=0.5
-diff -aur conan-1.22.1-pristine/conans/requirements.txt conan-1.22.1-new/conans/requirements.txt
---- conan-1.22.1-pristine/conans/requirements.txt 2020-02-12 10:47:53.046679121 +0100
-+++ conan-1.22.1-new/conans/requirements.txt 2020-02-12 10:49:58.676921820 +0100
-@@ -1,16 +1,16 @@
+ pluginbase>=0.5
+diff -aur conan-1.28.0-pristine/conans/requirements.txt conan-1.28.0-new/conans/requirements.txt
+--- conan-1.28.0-pristine/conans/requirements.txt 2020-07-30 11:30:59.000000000 +0200
++++ conan-1.28.0-new/conans/requirements.txt 2020-08-03 20:20:09.506666663 +0200
+@@ -1,19 +1,19 @@
-PyJWT>=1.4.0, <2.0.0
-requests>=2.8.1, <3.0.0
-urllib3!=1.25.4,!=1.25.5
-colorama>=0.3.3, <0.5.0
-PyYAML>=3.11, <6.0
--patch-ng==1.17.2
+-patch-ng>=1.17.4, <1.18
+PyJWT>=1.4.0
+requests>=2.8.1
+urllib3>=1.25.6
+colorama>=0.3.3
+PyYAML>=3.11
-+patch-ng>=1.17.2
++patch-ng>=1.17.4
fasteners>=0.14.1
-six>=1.10.0,<=1.14.0
-node-semver==0.6.1
@@ -44,3 +41,6 @@ diff -aur conan-1.22.1-pristine/conans/requirements.txt conan-1.22.1-new/conans/
+tqdm>=4.28.1
+Jinja2>=2.3
+python-dateutil>=2.7.0
+ idna==2.6 ; sys_platform == "darwin" # Solving conflict, somehow is installing 2.7 when requests require 2.6
+ cryptography>=1.3.4, <2.4.0 ; sys_platform == "darwin"
+ pyOpenSSL>=16.0.0, <19.0.0 ; sys_platform == "darwin"